//
//  GFaServerConnection.h
//
//  Copyright (c) 2022 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import <Foundation/Foundation.h>

/**
 サーバ通信クラス
 */
@interface GFaServerConnection : NSObject

/* トークン発行サーバリクエスト */
- (void)requestGetToken:(NSString *)url clientId:(NSString *)clientId secret:(NSString *)secret response:(NSHTTPURLResponse **)response data:(NSDictionary **)data error:(NSError **)error;

/* エリア情報サーバリクエスト */
- (void)requestAreaInfoServer:(NSString *)url tokenId:(NSString *)tokenId apikey:(NSString *)apikey json:(NSString *)jsonString response:(NSHTTPURLResponse **)response data:(NSDictionary **)data error:(NSError **)error;

/* レスポンスコード成功判定 */
- (BOOL)isResponseOK:(NSHTTPURLResponse *)response;

@end
